This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 427792 - "enable desktop effects" should warn about x-restart
"enable desktop effects" should warn about x-restart
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-07 11:37 EST by t u
Modified: 2008-02-01 16:45 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-01 16:45:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description t u 2008-01-07 11:37:04 EST
Description of problem:
I tried to enable desktop effects (I assume that's compiz?) via System >
preferences > look and feel > desktop effects > enable...

When I clicked the "enable" button, it restarted X without warning me. It
somewhat annoying, especially if I were a new user, because when X is
restarting, you see the shell "login" window. Also, any unsaved documents would
have discarded after this. 

Expected results:
It should warn that X will restart, i.e. "Fedora will now restart your session.
Any unsaved docs will be discarded. Please save all your work and close before
clicking OK" bla bla

Additional info:
I am using vmware player to try it out...

Thanks.
Comment 1 Matěj Cepl 2008-01-31 12:02:00 EST
No, X shouldn't restart. That's a bug.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 t u 2008-02-01 08:20:18 EST
ah, I am sorry. I was trying it on vmware, and deleted the image a while ago as
I didn't know x wasn't supposed to restart. thanks. 
Comment 3 Matěj Cepl 2008-02-01 16:45:45 EST
OK, thanks for letting us know.

Note You need to log in before you can comment on or make changes to this bug.